Skip to main content
GET
Get template (v2)

Authorizations

X-API-Key
string
header
required

Path Parameters

templateID
string
required

Response

Successfully returned the template

A template with its default build. defaultBuild is the build a sandbox created without a tag starts from, the latest ready build tagged default; it is absent until such a build is ready. buildStatus is the status of the latest build tagged default in any state: it is building while a rebuild runs, although sandboxes still start from the default build.

templateID
string
required

Identifier of the template

names
string[]
required

Names of the template (namespace/alias format when namespaced)

public
boolean
required

Whether the template is public or only accessible by the team

createdAt
string<date-time>
required

Time when the template was created

updatedAt
string<date-time>
required

Time when the template was last updated

createdBy
object | null
required
lastSpawnedAt
string<date-time> | null
required

Time when the template was last used

spawnCount
integer<int64>
required

Number of times the template was used

buildCount
integer<int32>
required

Number of times the template was built

isDefault
boolean
required

Whether the template is one of the platform's default templates

buildStatus
enum<string>
required

Status of the template build

Available options:
building,
waiting,
ready,
error,
uploaded
description
string

Description of the template

defaultBuild
object